org.klomp.snark

## Class Message

- java.lang.Object
- - org.klomp.snark.Message

     class Message
    extends Object

### Field Summary

Fields
`(package private) static byte` `ALLOWED_FAST`
`(package private) int` `begin`
`(package private) static byte` `BITFIELD`
`(package private) static byte` `CANCEL`
`(package private) static byte` `CHOKE`
`(package private) byte[]` `data`
`(package private) DataLoader` `dataLoader`
`(package private) static byte` `EXTENSION`
`(package private) static byte` `HAVE`
`(package private) static byte` `HAVE_ALL`
`(package private) static byte` `HAVE_NONE`
`(package private) static byte` `INTERESTED`
`(package private) static byte` `KEEP_ALIVE`
`(package private) int` `len`
`(package private) int` `length`
`(package private) int` `off`
`(package private) int` `piece`
`(package private) static byte` `PIECE`
`(package private) static byte` `PORT`
`(package private) static byte` `REJECT`
`(package private) static byte` `REQUEST`
`(package private) static byte` `SUGGEST`
`(package private) byte` `type`
`(package private) static byte` `UNCHOKE`
`(package private) static byte` `UNINTERESTED`

### Constructor Summary

Constructors
Constructor and Description
`Message()`

### Method Summary

Methods
`(package private) void` `sendMessage(DataOutputStream dos)` Utility method for sending a message through a DataStream.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### KEEP_ALIVE

    static final byte KEEP_ALIVE

See Also:
  Constant Field Values

#### CHOKE

    static final byte CHOKE

See Also:
  Constant Field Values

#### UNCHOKE

    static final byte UNCHOKE

See Also:
  Constant Field Values

#### INTERESTED

    static final byte INTERESTED

See Also:
  Constant Field Values

#### UNINTERESTED

    static final byte UNINTERESTED

See Also:
  Constant Field Values

#### HAVE

    static final byte HAVE

See Also:
  Constant Field Values

#### BITFIELD

    static final byte BITFIELD

See Also:
  Constant Field Values

#### REQUEST

    static final byte REQUEST

See Also:
  Constant Field Values

#### PIECE

    static final byte PIECE

See Also:
  Constant Field Values

#### CANCEL

    static final byte CANCEL

See Also:
  Constant Field Values

#### PORT

    static final byte PORT

See Also:
  Constant Field Values

#### SUGGEST

    static final byte SUGGEST

See Also:
  Constant Field Values

#### HAVE_ALL

    static final byte HAVE_ALL

See Also:
  Constant Field Values

#### HAVE_NONE

    static final byte HAVE_NONE

See Also:
  Constant Field Values

#### REJECT

    static final byte REJECT

See Also:
  Constant Field Values

#### ALLOWED_FAST

    static final byte ALLOWED_FAST

See Also:
  Constant Field Values

#### EXTENSION

    static final byte EXTENSION

See Also:
  Constant Field Values

#### type

    byte type

#### piece

    int piece

#### begin

    int begin

#### length

    int length

#### data

    byte[] data

#### off

    int off

#### len

    int len

#### dataLoader

    DataLoader dataLoader

### Constructor Detail

#### Message

    Message()

### Method Detail

#### sendMessage

    void sendMessage(DataOutputStream dos)
               throws IOException

Utility method for sending a message through a DataStream.

Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`